<?php

if(!defined('IN_DISCUZ')) {
	exit('Access Denied');
}
if(empty($_G['uid'])){
	showmessage('to_login', '', array(), array('login' => true));
}

$config = $_G['cache']['plugin']['jsjpay'];
$jfzl=$_G['setting']['extcredits'][$config['jifen']]['title'];
$jfye = getuserprofile('extcredits'.$config['jifen']);
$bili = $config['bili'];

if ($_GET['act']=='list'){
	$currpage=intval($_GET['page'])?intval($_GET['page']):1;
	$perpage=10;
	$num = C::t('#jsjpay#jsjpay')->count_by_uid($_G['uid']);
	$start=($currpage-1)*$perpage;
	$list=C::t('#jsjpay#jsjpay')->fetch_all_by_uid($_G['uid'],$start,$perpage);
	$paging = helper_page :: multi($num, $perpage, $currpage, 'plugin.php?id=jsjpay:m&act=list', 0, 11, false, false);
	include template('jsjpay:mpay');
}else{
	include template('jsjpay:mpay');
}

?>